Date: Wed, 17 Sep 1997 14:32:23 +0200
From: Hartmut Koptein <koptein@et-inf.fho-emden.de>
To: linux-m68k@phil.uni-sb.de
Subject: Re: L68K: 2.1.55
References: <Pine.LNX.3.96.970917102616.5784u-100000@mercator.cs.kuleuven.ac.be> <d3202ol1wz.fsf@cern.ch>
In-Reply-To: <d3202ol1wz.fsf@cern.ch>; from Jes Sorensen on Wed, Sep 17, 1997 at 11:34:04AM +0200
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Hi,

don't know if someone has this already reported to this list, but in the affs is a little
typo. 

diff -u --recursive --new-file linux-2.1.55.orig/fs/affs/dir.c linux-2.1.55/fs/affs/dir.c
--- linux-2.1.55.orig/fs/affs/dir.c  Wed Sep 17 14:17:06 1997
+++ linux-2.1.55/fs/affs/dir.c      Wed Sep 10 10:37:46 1997
@@ -86,7 +86,7 @@
        struct buffer_head       *dir_bh;
        struct buffer_head       *fh_bh;
        struct inode             *dir;
-       struct inode             *inode = filp->f_dentry->d_inode;
+       struct inode             *inode = file->f_dentry->d_inode;

        pr_debug("AFFS: readdir(ino=%ld,f_pos=%lu)\n",inode->i_ino,filp->f_pos);

diff -u --recursive --new-file linux-2.1.55.orig/fs/affs/inode.c linux-2.1.55/fs/affs/inode.c
--- linux-2.1.55.orig/fs/affs/inode.c        Wed Sep 17 14:17:06 1997
+++ linux-2.1.55/fs/affs/inode.c    Wed Sep 10 10:37:46 1997
@@ -307,6 +307,7 @@
        int                      az_no;
        unsigned long            mount_flags;
        unsigned long            offset;
+       struct inode            *root_inode;

        pr_debug("affs_read_super(%s)\n",data ? (const char *)data : "no options");

@@ -600,6 +601,8 @@
        s->s_dirt      = 1;
        unlock_super(s);

+       root_inode = iget(s, root_block);
+       s->s_root = d_alloc_root(root_inode, NULL);
        if (!s->s_root) {
                s->s_dev = 0;
                printk(KERN_ERR "AFFS: get root inode failed\n");
@@ -610,7 +613,6 @@
        /* create data zones if the fs is mounted r/w */

        if (!(s->s_flags & MS_RDONLY)) {
-                                       /* Is this correct? Jes */
                ROOT_END(s->u.affs_sb.s_root_bh->b_data,s->s_root->d_inode)->bm_flag = 0;
                secs_to_datestamp(CURRENT_TIME,&ROOT_END(s->u.affs_sb.s_root_bh->b_data,
                                  s->s_root->d_inode)->disk_altered);

---------------

Jes: did you post a new 2.1.55-native with the last patches for your 2.1.55 ???

Thanks,

        Hartmut

-- 
 Hartmut Koptein                                       EMail:
 Friedrich-van-Senden-Str. 7                           koptein@et-inf.fho-emden.de
 26603 Aurich   
 Tel.: +49-4941-10390                                  koptein@debian.org
